.\"
.\" @(#)watch.8		1.1 (FreeBSD) 2/17/95
.\"
.Dd February 17, 1995
.Dt WATCH 8
.Os
.Sh NAME
.Nm watch
.Nd snoop on another tty line
.Sh SYNOPSIS
.Nm watch
.Op Fl ciotnW
.Ar tty
.\"  watch [-ciotnW] [<tty name>]
.Sh DESCRIPTION
.Nm Watch
allows the superuser to examine all data coming through a specified tty.
.Nm Watch
writes to standard output.
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl c
Reconnect on close.  If the tty observed by
.Nm
is closed,  automatically reattach to the same tty.
If this option is not specified,
.Nm
will request a new tty if running in interactive mode or exit if running
without a controlling tty.
.It Fl i
Force interactive mode.
Interactive mode is a default if
.Nm
is started from a tty.
If output is redirected to a file, interactive mode can still be requested
by specifying this option.
.It Fl o
Reconnect on overflow.
The behavior of
.Nm
if the observed tty overflows is similar to the behavior if the observed tty
is closed.
For more info see
.Xr snp 4 .
.It Fl t
Print the date and time when observation of a given tty is started.
.It Fl n
Disable the ability to switch the watched tty interactively.  This disables
both change requests made with <control-X> as well as automatic prompting
when the current tty is closed or overflows.  In all cases where a prompt
would be displayed, watch will exit.  The reconnect flags are unaffected by
this option.
.It Fl W
Allow write access to observed tty.
.It Ar tty
Tty may be specified as an tty-style device, such as a pseudo tty device,
a virtual console, or a serial line, etc.
Names may be preceded by "/dev/".
.Sh OPERATION
While running in interactive mode, all user input is discarded except for:
.Pp
.Bl -tag -width "XXXX" -compact
.It Sy "<control-G>"
Exit
.Nm Ns .
.It Sy "<control-W>"
Clear screen.
.It Sy "<control-X>"
Change attached tty.
.Sh RESTRICTIONS
Only the superuser can run
.Nm Ns .
.Sh SEE ALSO
.Xr pty 4 ,
.Xr sio 4 ,
.Xr snp 4
.Sh BUGS
No terminal emulation is performed.
All user output is reproduced as-is.
.Sh AUTHORS
.An Ugen J.S. Antsilevich Aq ugen@NetVision.net.il
.Sh HISTORY
.Nm Watch
first appeared in
.Fx 2.1 .
